> ## Documentation Index
> Fetch the complete documentation index at: https://60db.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> Create a new workspace

## Request

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token with your API key
</ParamField>

<ParamField header="Content-Type" type="string" required>
  application/json
</ParamField>

### Body

<ParamField body="name" type="string" required>
  Workspace name
</ParamField>

<ParamField body="description" type="string">
  Workspace description
</ParamField>

## Response

<ResponseField name="id" type="string">
  Workspace ID
</ResponseField>

<ResponseField name="name" type="string">
  Workspace name
</ResponseField>

<ResponseField name="description" type="string">
  Workspace description
</ResponseField>

<ResponseField name="created_at" type="string">
  Creation timestamp
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.60db.ai/workspaces \
    -H "Authorization: Bearer your-api-key" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Development",
      "description": "Development workspace"
    }'
  ```

  ```javascript JavaScript theme={null}
  const workspace = await client.createWorkspace({
    name: "Development",
    description: "Development workspace",
  });
  ```

  ```python Python theme={null}
  workspace = client.create_workspace(
      name='Development',
      description='Development workspace'
  )
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "ws-456",
    "name": "Development",
    "description": "Development workspace",
    "created_at": "2026-01-29T11:35:00Z"
  }
  ```
</ResponseExample>
